#ifndef __QUEUEPAIR_H___
#define __QUEUEPAIR_H__
// ============================================================================================
// Resources
//

#include "common.h"

// ============================================================================================
// Class
//

class SimplexMesh {
public:
   SimplexMesh();
   Simplex *s;                  // the simplex to split
   Mesh *m;                     // mesh to add this to...
};

bool operator<(const SimplexMesh & x, const SimplexMesh & y);


class PointMesh {
public:
   PointMesh();
   int p;                       // point id to insert...
   Mesh *m;                     // mesh to add this to...
};

bool operator<(const PointMesh & x, const PointMesh & y);

class CollarMesh {
public:

   CollarMesh();
   int a;
   int b;
   Mesh *m;
};


bool operator<(const CollarMesh & x, const CollarMesh & y);

class IntestineItem {
 public:
  int a;
  int b;
  int c;
  IntestineItem();
  void sort();
};

bool operator<(const IntestineItem & x, const IntestineItem & y);

#endif                          // !defined(__QUEUEPAIR_H__)
