#ifndef __SIMPLEXPOOL_H__
#define __SIMPLEXPOOL_H__

#define POOL_SIZE 5000

using namespace std;

// ============================================================================================
// Class
//
class SimplexPool {
public:

   SimplexPool();

   Simplex *NewSimplex();
   Simplex *NewSimplex(Simplex * s);

   Simplex *NewSimplex(int a);
   Simplex *NewSimplex(int a, int b);
   Simplex *NewSimplex(int a, int b, int c);
   Simplex *NewSimplex(int a, int b, int c, int d);

   void DeleteSimplex(Simplex * s);
   int size;

private:

   Simplex * newsimplices;
   int nextsimplex;
   Simplex *reuse;


};
// ==========================================================================
#endif                          // !defined(__SIMPLEXPOOL_H__)
// --------------------------------------------------------------------------
