/////////////////////////////////////////////////////////
//
// dir3.cpp
//
// Alex Rand - 12-4-2008.
//
// Executable for the dir3 code.
//
// Usage: dir3 [PLC Filename]
//
// Other parameters are passed through file config.txt.
//
//
/////////////////////////////////////////////////////////


#include <iostream>
#include <string>

// include the PLC class which holds a "mesh"
#include "plc.h"

using namespace std;

int main(int argc, char *argv[])
{

   string fn;

   if (argc == 1) {
      cout << "Usage: dir3 filename" << endl;
      return 0;
   } else {
      //cout << argv[1] << endl;
      string tmp(argv[1]);
      fn = tmp;
   }


   PLC *C;

   C = new PLC();

   C->ReadAndRefine(fn);

   return 0;
}
