#ifndef __INSPHERE_H_
#define __INSPHERE_H_

#ifndef CYGWIN
#include <fpu_control.h>
#endif


void insphere_init();

void insphere1to3_init();
int insphere1to3(double ax, double ay, double az, double bx, double by,
                 double bz, double px, double py, double pz);

void insphere2to3_init();
int insphere2to3(double ax, double ay, double az, double bx, double by,
                 double bz, double cx, double cy, double cz, double px,
                 double py, double pz);

void insphere3to3_init();
int insphere3to3(double ax, double ay, double az, double bx, double by,
                 double bz, double cx, double cy, double cz, double dx,
                 double dy, double dz, double px, double py, double pz);

#endif
